<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Humidity StructType
 * @subpackage Structs
 */
class Humidity extends AbstractStructBase
{
    /**
     * The relativeHumidity
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $relativeHumidity;
    /**
     * The humidityExtension
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ExtensionType
     */
    public $humidityExtension;
    /**
     * Constructor method for Humidity
     * @uses Humidity::setRelativeHumidity()
     * @uses Humidity::setHumidityExtension()
     * @param float $relativeHumidity
     * @param \StructType\ExtensionType $humidityExtension
     */
    public function __construct($relativeHumidity = null, \StructType\ExtensionType $humidityExtension = null)
    {
        $this
            ->setRelativeHumidity($relativeHumidity)
            ->setHumidityExtension($humidityExtension);
    }
    /**
     * Get relativeHumidity value
     * @return float
     */
    public function getRelativeHumidity()
    {
        return $this->relativeHumidity;
    }
    /**
     * Set relativeHumidity value
     * @param float $relativeHumidity
     * @return \StructType\Humidity
     */
    public function setRelativeHumidity($relativeHumidity = null)
    {
        $this->relativeHumidity = $relativeHumidity;
        return $this;
    }
    /**
     * Get humidityExtension value
     * @return \StructType\ExtensionType|null
     */
    public function getHumidityExtension()
    {
        return $this->humidityExtension;
    }
    /**
     * Set humidityExtension value
     * @param \StructType\ExtensionType $humidityExtension
     * @return \StructType\Humidity
     */
    public function setHumidityExtension(\StructType\ExtensionType $humidityExtension = null)
    {
        $this->humidityExtension = $humidityExtension;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Humidity
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
